
-- Addon options, not to be confused with dialog options.

local L = REQUEST_STRINGS


ReQuest.DefaultSettings = {
  Version = THIS_VERSION,
  showWQCompleteCount_global = true,
  showWQCompleteCount_char = true,
  showWQID = false,
}


function ReQuest.CreateOptions()
	local THIS_VERSION = GetAddOnMetadata("ReQuest", "Version");
	local THIS_TITLE = GetAddOnMetadata("ReQuest", "Title")
	local panel, oldver = TjOptions.CreatePanel(THIS_TITLE, nil, {
		title = THIS_TITLE.." v"..THIS_VERSION,
		items = {
			{ variable = "showWQCompleteCount_global", text = L.OPT_WORLDQUEST_COMPLETECOUNT_GLOBAL,
			  tooltip = L.OPT_WORLDQUEST_COMPLETECOUNT_GLOBAL_TIP, tooltip2 = L.OPT_WORLDQUEST_COMPLETECOUNT_GLOBAL_TIP2 },
			{ variable = "showWQCompleteCount_char", text = L.OPT_WORLDQUEST_COMPLETECOUNT_CHAR,
			  tooltip = L.OPT_WORLDQUEST_COMPLETECOUNT_CHAR_TIP, tooltip2 = L.OPT_WORLDQUEST_COMPLETECOUNT_CHAR_TIP2 },
			{ variable = "showWQID", text = L.OPT_WORLDQUEST_ID },
		},
		variables = "ReQuest_Settings",
		defaults = ReQuest.DefaultSettings,
	});
	return panel, oldver
end
